com.icesoft.faces.component.ext

## Class UIColumn

- java.lang.Object
- - javax.faces.component.UIComponent
  - - javax.faces.component.UIComponentBase
    - - javax.faces.component.UIColumn
      - - com.icesoft.faces.component.ext.UIColumn

- All Implemented Interfaces:
    java.util.EventListener, javax.faces.component.PartialStateHolder, javax.faces.component.StateHolder, javax.faces.component.TransientStateHolder, javax.faces.event.ComponentSystemEventListener, javax.faces.event.FacesListener, javax.faces.event.SystemEventListenerHolder

      public class UIColumn
      extends javax.faces.component.UIColumn

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `COMPONENT_TYPE`

    - ### Fields inherited from class javax.faces.component.UIColumn

      `COMPONENT_FAMILY`

    - ### Fields inherited from class javax.faces.component.UIComponent

      `ATTRS_WITH_DECLARED_DEFAULT_VALUES, BEANINFO_KEY, bindings, COMPOSITE_COMPONENT_TYPE_KEY, COMPOSITE_FACET_NAME, CURRENT_COMPONENT, CURRENT_COMPOSITE_COMPONENT, FACETS_KEY, HONOR_CURRENT_COMPONENT_ATTRIBUTES_PARAM_NAME, VIEW_LOCATION_KEY`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `UIColumn()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getBinding()`
    `java.lang.String` | `getColspan()` Return the value of the `colspan` property.
    `java.lang.String` | `getFamily()` Return the family for this component.
    `int` | `getGroupCount()`
    `org.w3c.dom.Element` | `getGroupedTd()`
    `java.lang.String` | `getGroupOn()` Return the value of the `groupOn` property.
    `java.lang.String` | `getId()`
    `java.lang.String` | `getRenderedOnUserRole()` Return the value of the `renderedOnUserRole` property.
    `java.lang.String` | `getRowspan()` Return the value of the `rowspan` property.
    `java.lang.String` | `getStyle()` Return the value of the `style` property.
    `java.lang.String` | `getStyleClass()` Return the value of the `styleClass` property.
    `boolean` | `groupFound()`
    `boolean` | `isRendered()` Return the value of the `rendered` property.
    `void` | `resetGroupState()`
    `void` | `restoreState(javax.faces.context.FacesContext _context, java.lang.Object _state)` Restore the state of this component.
    `java.lang.Object` | `saveState(javax.faces.context.FacesContext _context)` Save the state of this component.
    `void` | `setBinding(java.lang.String binding)`
    `void` | `setColspan(java.lang.String colspan)` Set the value of the `colspan` property.
    `void` | `setGroupedTd(org.w3c.dom.Element groupedTd)`
    `void` | `setGroupOn(java.lang.String groupOn)` Set the value of the `groupOn` property.
    `void` | `setId(java.lang.String id)`
    `void` | `setRenderedOnUserRole(java.lang.String renderedOnUserRole)` Set the value of the `renderedOnUserRole` property.
    `void` | `setRowspan(java.lang.String rowspan)` Set the value of the `rowspan` property.
    `void` | `setStyle(java.lang.String style)` Set the value of the `style` property.
    `void` | `setStyleClass(java.lang.String styleClass)` Set the value of the `styleClass` property.

    - ### Methods inherited from class javax.faces.component.UIColumn

      `getFooter, getHeader, setFooter, setHeader`

    - ### Methods inherited from class javax.faces.component.UIComponentBase

      `addClientBehavior, addFacesListener, broadcast, clearInitialState, decode, encodeBegin, encodeChildren, encodeEnd, findComponent, getAttributes, getChildCount, getChildren, getClientBehaviors, getClientId, getDefaultEventName, getEventNames, getFacesContext, getFacesListeners, getFacet, getFacetCount, getFacets, getFacetsAndChildren, getListenersForEventClass, getParent, getRenderer, getRendererType, getRendersChildren, getValueBinding, invokeOnComponent, isTransient, markInitialState, processDecodes, processRestoreState, processSaveState, processUpdates, processValidators, queueEvent, removeFacesListener, restoreAttachedState, saveAttachedState, setParent, setRendered, setRendererType, setTransient, setValueBinding, subscribeToEvent, unsubscribeFromEvent`

    - ### Methods inherited from class javax.faces.component.UIComponent

      `encodeAll, getClientId, getCompositeComponentParent, getContainerClientId, getCurrentComponent, getCurrentCompositeComponent, getNamingContainer, getResourceBundleMap, getStateHelper, getStateHelper, getTransientStateHelper, getTransientStateHelper, getValueExpression, initialStateMarked, isCompositeComponent, isInView, isVisitable, popComponentFromEL, processEvent, pushComponentToEL, restoreTransientState, saveTransientState, setInView, setValueExpression, visitTree`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### COMPONENT_TYPE

          public static final java.lang.String COMPONENT_TYPE

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### UIColumn

          public UIColumn()

  - ### Method Detail

    - #### getFamily

          public java.lang.String getFamily()

      Return the family for this component.

      Overrides:
        `getFamily` in class `javax.faces.component.UIColumn`

    - #### getBinding

          public java.lang.String getBinding()

    - #### setBinding

          public void setBinding(java.lang.String binding)

    - #### getId

          public java.lang.String getId()

      Overrides:
        `getId` in class `javax.faces.component.UIComponentBase`

    - #### setId

          public void setId(java.lang.String id)

      Overrides:
        `setId` in class `javax.faces.component.UIComponentBase`

    - #### setRenderedOnUserRole

          public void setRenderedOnUserRole(java.lang.String renderedOnUserRole)

      Set the value of the `renderedOnUserRole` property.

    - #### getRenderedOnUserRole

          public java.lang.String getRenderedOnUserRole()

      Return the value of the `renderedOnUserRole` property.

    - #### isRendered

          public boolean isRendered()

      Return the value of the `rendered` property.

      Overrides:
        `isRendered` in class `javax.faces.component.UIComponentBase`

    - #### restoreState

          public void restoreState(javax.faces.context.FacesContext _context,
                                   java.lang.Object _state)

      Restore the state of this component.

      Specified by:
        `restoreState` in interface `javax.faces.component.StateHolder`
      Overrides:
        `restoreState` in class `javax.faces.component.UIComponentBase`

    - #### saveState

          public java.lang.Object saveState(javax.faces.context.FacesContext _context)

      Save the state of this component.

      Specified by:
        `saveState` in interface `javax.faces.component.StateHolder`
      Overrides:
        `saveState` in class `javax.faces.component.UIComponentBase`

    - #### setColspan

          public void setColspan(java.lang.String colspan)

      Set the value of the `colspan` property.

    - #### getColspan

          public java.lang.String getColspan()

      Return the value of the `colspan` property.

    - #### setRowspan

          public void setRowspan(java.lang.String rowspan)

      Set the value of the `rowspan` property.

    - #### getRowspan

          public java.lang.String getRowspan()

      Return the value of the `rowspan` property.

    - #### setStyle

          public void setStyle(java.lang.String style)

      Set the value of the `style` property.

    - #### getStyle

          public java.lang.String getStyle()

      Return the value of the `style` property.

    - #### setStyleClass

          public void setStyleClass(java.lang.String styleClass)

      Set the value of the `styleClass` property.

    - #### getStyleClass

          public java.lang.String getStyleClass()

      Return the value of the `styleClass` property.

    - #### setGroupOn

          public void setGroupOn(java.lang.String groupOn)

      Set the value of the `groupOn` property.

    - #### getGroupOn

          public java.lang.String getGroupOn()

      Return the value of the `groupOn` property.

    - #### groupFound

          public boolean groupFound()

    - #### getGroupCount

          public int getGroupCount()

    - #### getGroupedTd

          public org.w3c.dom.Element getGroupedTd()

    - #### setGroupedTd

          public void setGroupedTd(org.w3c.dom.Element groupedTd)

    - #### resetGroupState

          public void resetGroupState()

Copyright 2025 ICEsoft Technologies Canada, Corp. All Rights Reserved.